#
# Hacks to make sddm require VNC (via tweaking weston).
#
{ ... }:
let
  package = "weston";

  overlay = final': prev': {
    ${package} = prev'.${package}.override { vncSupport = false; };
  };

in
{
  nixpkgs.overlays = [ overlay ];
}
